-- NOTES:

-- Particle burst (flag that activates particle emitter)
-- the grave should emit the evidence radiance white particles
-- you should be able to interact with it, on doing so, movement should be locked,
-- a small amount of constant particles should spawn on you for a couple seconds, and then a particle burst should occur
-- the dream nail one
-- the particles spawning on top of you should be kinda in place of a new animation

-- USE THE DREAMESSENCECOLLECT SOUND

function onBegin()
	disableMovement()
	disableRetry()
	if not getFlag("warrior_gorb") then
		playSound("event:/CC/CC_HollowKnight/SFX/Scene/HeroDreamNailSlash",player.Position)
		player.DummyAutoAnimate = false
		player.Sprite:Play("dreamNail")
		wait(1.45)
		setFlag("warrior_gorb",true)
		wait(0.3)
		setFlag("warrior_gorb2",true)
	else
		say("CC_XELKHK_WarriorDone")
	end
end

function onEnd()
	setFlag("warrior_gorb",true)
	setFlag("Gorb",true)
	enableMovement()
	enableRetry()
end